
QGIS Application - Bug report #14862

styling dock: button on layer panel isn't synced to dock visiblity

2016-05-22 09:23 PM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22815

Description

Steps to reproduce:

1. open style dock. button on layer panel is shown depressed

2. close style dock via the 'x' button on the dock

3. button on layer panel is still shown depressed

Associated revisions

Revision cb4dacfe - 2016-06-09 03:01 AM - Nyall Dawson

Fix style dock button not synced to dock state (fix #14862)

Add a new class QgsDockWidget which has finer control over setting

and retrieving the dock visibility, to account for dock widgets

which are open but hidden by other docks

History

#1 - 2016-06-08 06:02 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"cb4dacfebcc8c53e7fa7e31bf612045aca6bd728".
